# Pass --without docs to rpmbuild if you don't want the documentation

Name:           gitweb-caching
Version:        1.6.5.2
Release:        2.cda981c9%{?dist}
%global SHA1    cda981c9765dabb7f34992de361eb35dce7857f6
Summary:        Simple web interface to git repositories w/ caching support
License:        GPLv2
Group:          Development/Tools
URL:            http://git.kernel.org/?p=git/warthog9/gitweb.git;a=summary
# Tarball is generated from a snapshot of the SHA1 sum above.
# http://git.kernel.org/?p=git/warthog9/gitweb.git;a=snapshot;h=%{SHA1};sf=tgz
Source0:        gitweb-%{SHA1}.tar.gz
Source1:        gitweb-caching.conf.httpd
Patch0:         gitweb-caching-1.6-gitweb-home-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       git

%description
Simple web interface to track changes in git repositories
w/ caching from John 'Warthog9' Hawley from kernel.org

%prep
%setup -n gitweb -q
%patch0 -p1

%build
make %{_smp_mflags} V=1 NO_CURL=1 gitweb/gitweb.cgi gitweb/gitweb_defaults.pl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_var}/www/gitweb-caching
install -pm 644 gitweb/*.png gitweb/*.css gitweb/gitweb_defaults.pl $RPM_BUILD_ROOT%{_var}/www/%{name}
install -pm 755 gitweb/gitweb.cgi $RPM_BUILD_ROOT%{_var}/www/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
install -pm 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc gitweb/README
%{_var}/www/%{name}/
%config(noreplace)%{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Sun Dec 6 2009 John 'Warthog9' Hawley <warthog9@kernel.org> 1.6.5.2-2.cda981c9
- Fixing URL
- Adding version to changelog
- Sha1 sum added to release
- Setting to always build noarch

* Sun Dec 6 2009 John 'Warthog9' Hawley <warthog9@kernel.org> 1.6.5.2-1.cda981c9
- initial gitweb-caching spec file
